<?php
require_once('system/func.php');
auth(); // Закроем от гостей
$title = 'Ювелир';
require_once('system/header.php');
echo div('header') . "Ювелир</div>";
$getSale = mysql_fetch_assoc(mysql_query("SELECT * FROM `avenax_admin` WHERE `id` = '1'"));
$sale = false;
if (!empty($getSale) && $getSale['sale_diamond_time'] > time()) {
    $sale = true;
}

if ($sale == true) {
    echo '<div class="header">Cкидка на вставку камней <span style="color: orange">' . $getSale['sale_diamond'] . '%</span>, осталось ' . tl($getSale['sale_diamond_time'] - time()) . '</div>';
}

$id = num($_GET['id']);
if ($id) {
    $item = mysql_fetch_assoc(mysql_query("SELECT * FROM `inv` WHERE `id` = '" . $id . "' AND `id_user` = '$myID' and `odeta` = 'da'"));


    $ids = num($_GET['ids']);
    if ($ids) {

        $jewel = mysql_fetch_assoc(mysql_query("SELECT * FROM `jewel` WHERE `id` = '" . $ids . "' AND `stat` > '$item[jewel]' "));


        # Ошибки #
        if (!$item) {
            $_SESSION['msg'] == 'Такой вещи не существует';
            header('Location: /j/');
            exit();
        }
        $title = $item['name'];
        require_once('system/header.php');
        ## Тип вещи ##
        ## Тип вещи ##
        switch ($item['tip']) {
            case 'golova':
                $tip = 'Голова';
                break;
            case 'plechi':
                $tip = 'Плечи';
                break;
            case 'tors':
                $tip = 'Торс';
                break;
            case 'perchatki':
                $tip = 'Перчатки';
                break;
            case 'lev':
                $tip = 'Левая рука';
                break;
            case 'prav':
                $tip = 'Правая рука';
                break;
            case 'nogi':
                $tip = 'ноги';
                break;
            case 'obuv':
                $tip = 'Обувь';
                break;
        }

        ## Качество ##
        switch ($item['skill']) {
            case '0':
                $kachestvo = '<font color="green">Обычное</font>';
                $bonus = 10;

                break;
            case '100':
                $kachestvo = '<font color="#1E90FF">Редкое</font>';
                $bonus = 20;
                break;
            case '500':
                $kachestvo = '<font color="violet">Эпическое</font>';
                $bonus = 40;

                break;
            case '2500':
                $kachestvo = '<font color="gold">Уникальное </font>';
                $bonus = 70;

                break;

            case '5000':
                $kachestvo = '<font color="Darkorange">Легендарное </font>';
                $bonus = 100;

                break;
        }


        if (isset($_GET[insert])) {

            if ($item['jewel'] > '0' and $item['jewel'] < 350) {
                header("Location: ?");
                exit();
            }


            $item = mysql_fetch_assoc(mysql_query("SELECT * FROM `inv` WHERE `id` = '" . $id . "' AND `id_user` = '$myID' and `odeta` = 'da'"));

            if ($item['jewel'] > 0) {
                $_SESSION['msg'] = "Удалите старый камень , что бы установить новый ";
                header("Location: ?");
                exit();
            }

            if ($sale == true) {
                $value = floor($jewel['price'] / 100 * $getSale['sale_diamond']);
                $jewel['price'] = $jewel['price'] - $value;
            }

            if ($user['almaz'] < $jewel['price']) {

                $_SESSION['msg'] = "Не хватает " . ico('icons', 'almaz.png') . " " . ($jewel['price'] - $user['almaz']) . " алмазов ";
                header("Location: ?");
                exit();
            }

            mysql_query("UPDATE `inv` SET `jewel` = '$jewel[stat]' , `str` = '" . ($item['str'] + $jewel['stat']) . "' , `def` = '" . ($item['def'] + $jewel['stat']) . "', `health` = '" . ($item['health'] + $jewel['stat']) . "' where (`id` = '" . $item['id'] . "')");


            mysql_query("UPDATE `users` SET `str` = '" . ($user[str] + $jewel['stat']) . "', `def` = '" . ($user[def] + $jewel['stat']) . "', `max_health` = '" . ($user[max_health] + $jewel['stat']) . "', `almaz` = '" . ($user[almaz] - $jewel['price']) . "' WHERE (`id` = '" . $myID . "')");
            $_SESSION[msg] = 'Вы установили ' . $jewel['name'] . ' за ' . ico('icons', 'almaz.png') . '' . $jewel['price'] . '  ';
            header('Location: ?');
            exit();
        }
    }


    echo "<div class='wrapper'>";
    echo $item[name] . "</div>";
    echo "<div class='oh'><img src='/images/items/" . $item[tip] . "/" . $item[item] . ".png'></div>";
    echo "<div class='wrapper'>";
    echo ico('icons', 'str.png') . " Сила: $item[str]<br>";
    echo ico('icons', 'def.png') . " Защита: $item[def]<br>";
    echo ico('icons', 'health.png') . " Здоровье: $item[health]<br><br></div>";

    echo div('wrapper');


    switch ($item['skill']) {
        case '0':
            $color = '<font color="green">';
            $bonus = 10;

            break;
        case '100':
            $color = '<font color="#1E90FF">';
            $bonus = 20;
            break;
        case '500':
            $color = '<font color="violet">';
            $bonus = 40;

            break;
        case '2500':
            $color = '<font color="gold"> ';
            $bonus = 70;

            break;

        case '5000':
            $color = '<font color="Darkorange"> ';
            $bonus = 100;

            break;
    }
    ## Качество ##
    switch ($item['skill']) {
        case '0':
            $kachestvo = '<font color="green">Обычное</font>';
            break;
        case '100':
            $kachestvo = '<font color="#1E90FF">Редкое</font>';
            break;
        case '500':
            $kachestvo = '<font color="violet">Эпическое</font>';
            break;
        case '2500':
            $kachestvo = '<font color="gold">Уникальное </font>';
            break;
        case '5000':
            $kachestvo = '<font color="Darkorange">Легендарное </font>';
            break;

    }


    ## Камни ##
    switch ($item['jewel']) {


        case '25':
            $jewel = ico('jewel/ico', '1.png');
            $color = 'green';
            $name = 'Обычный';
            break;
        case '75':
            $jewel = ico('jewel/ico', '2.png');
            $color = '#1E90FF';
            $name = 'Редкий';

            break;
        case '150':
            $jewel = ico('jewel/ico', '3.png');
            $color = 'violet';
            $name = 'Эпический';

            break;
        case '275':
            $jewel = ico('jewel/ico', '4.png');
            $color = 'yellow';
            $name = 'Уникальный';
            break;
        case '350':
            $jewel = ico('jewel/ico', '5.png');
            $color = 'orange';
            $name = 'Легендарный';
            break;
        default:
            $color = 'grey';
            $name = 'Не установлен';
            break;


    }


    echo color('white') . " Качество: </color> $kachestvo  <br> " . color('white') . " $jewel Камень: <font color='$color'> $name  </font>    </a><br> " . color('white') . " " . ico('icons', 'smitch.png') . " Заточка: + </font>  $item[smitch]     </a><br>
" . color('white') . " " . ico('icons', 'level.png') . " Уровень вещи:</font>  $item[bonus] </a></div>";
    echo "<div style='clear:both;'></div>";
    $reset = $item['jewel'] * 1000;


    $inv = mysql_result(mysql_query("SELECT COUNT(*) FROM `inv` WHERE `id_user`  = '$myID' "), 0);
    //$item = mysql_fetch_assoc(mysql_query("SELECT * FROM `inv` WHERE `id` = '".$id."' AND `id_user` = '$myID' and `odeta` = 'da'"));

    $r = mysql_fetch_assoc(mysql_query("SELECT * FROM `jewel` WHERE  `stat` > '$item[jewel]' "));

    if ($item['jewel'] > '0' and $item['jewel'] < 350) {
        echo div('bbtn mb5 center') . ' <a href="?c"> Удалить  камень за   ' . ico('icons', 'gold.png') . ' ' . $reset . ' </a> </div> ';
    }

    if (isset($_GET['t'])) {
        if ($reset > $user['gold']) {
            $_SESSION[msg] = "Не хватает " . ico('icons', 'gold.png') . " " . ($reset - $user[gold]) . " золота ";
            header("Location: ?");
            exit();
        }


        mysql_query("UPDATE `users` SET `str` = '" . ($user[str] - $item['jewel']) . "', `def` = '" . ($user[def] - $item['jewel']) . "', `max_health` = '" . ($user[max_health] - $item['jewel']) . "' WHERE (`id` = '" . $myID . "')");

        mysql_query("UPDATE `inv` SET `jewel` = '0' , `str` = '" . ($item['str'] - $item['jewel']) . "' , `def` = '" . ($item['def'] - $item['jewel']) . "', `health` = '" . ($item['health'] - $item['jewel']) . "' WHERE (`id` = '" . $item['id'] . "')");

        mysql_query("UPDATE `users` SET `gold` = '" . ($user[gold] - $reset) . "' WHERE (`id` = '" . $myID . "')");


        $_SESSION[msg] = 'Вы удалили камень  за ' . ico('icons', 'gold.png') . ' ' . $reset . '';
        header('Location: ?');
        exit();
    }
    if (isset($_GET['c'])) {
        echo div('header');
        echo "Вы дейстивительно хотите удалить камень?</div>";
        echo div('block_c') . "<a href='?t'> Да ,удалить </a></div>";
        echo div('block_c') . "<a href='/j/" . id . "/'> Нет , оставить </a></div>";


    }


    $jewel = mysql_query("SELECT * FROM `jewel` WHERE  `stat` > '$item[jewel]' ");

    while ($post = mysql_fetch_assoc($jewel)) {

        switch ($post['id']) {


            case 1:
                $color = 'green';
                break;

            case 2:
                $color = '#1E90FF';
                break;

            case 3:
                $color = 'violet';
                break;


            case 4:
                $color = 'yellow';
                break;

            case 5:
                $color = 'orange';
                break;

        }

        if ($sale == true) {
            $value = floor($post['price'] / 100 * $getSale['sale_diamond']);
            $post['price'] = $post['price'] - $value;
        }
        echo "<div class='wrapper'>";

        echo "<img src = '/images/jewel/$post[id].png' class='bord'> <font color='$color'> $post[name]</font> + $post[stat] <br> <div class='btn_grey center'><a href = '/j/$item[id]/$post[id]/?insert'><span class='cb_end'><span class='cb_ttl'> 
Установить   " . ico('icons', 'almaz.png') . "  $post[price]</span></span></div></div></a>";

        echo "</div>";

    }
    echo div('header') . " " . span('info') . " Что бы установить качественый камень  удалите старый.</span> </div>";

    echo "<div class='header'> <a href='/j/' <div class='main_link'><div class='ssilki_dop p_0'> К выбору вещей</div></div></div></a>";
    require_once('system/footer.php');


} else {
    $title = 'Ювелир';
    require_once('system/header.php');
    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `inv` WHERE `id_user` = '$myID'"), 0);
    $q = mysql_query("SELECT * FROM `inv` WHERE `id_user` = '$myID' AND `odeta` = 'da' and  `jewel` < '350' ORDER BY `skill` DESC");
    echo "<div class='block_c'>";


    //echo "Выбери вещь для вставки  камня:</div>";

    if ($k_post == 0) {
        echo div('header') . " Нет вещей для улучшения</div>";
    }
    while ($post = mysql_fetch_assoc($q)) {
        echo "<div class='wrapper'>";

        echo "<li><a href='/j/$post[id]/'>";
        echo "<img src='/images/items/$post[tip]/$post[item].png' style='max-width: 210px; max-height: 210px;'>$post[name]</span></a></li>";
        echo "</div>";
    }
    require_once('system/footer.php');


}




